﻿<Window x:Class="ADG_Assistance.Vue.DataManagement.ManageContrat"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:ADG_Assistance.Vue.DataManagement"
		xmlns:xctk="http://schemas.xceed.com/wpf/xaml/toolkit"
        mc:Ignorable="d"
		ResizeMode="NoResize"
		WindowStartupLocation="CenterScreen"
        Title="Gestion Contrat" Height="540.667" Width="921" Closed="Window_Closed">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="15px"/>
            <ColumnDefinition Width="100*"/>
            <ColumnDefinition Width="15px"/>
        </Grid.ColumnDefinitions>

        <Grid.RowDefinitions>
            <RowDefinition Height="15px"/>
            <RowDefinition Height="100*"/>
            <RowDefinition Height="15px"/>
        </Grid.RowDefinitions>


        <GroupBox Style="{StaticResource GRB_StyleManage}"  x:Name="grpClient" Grid.Column="1" Grid.Row="1" Header="Client" Height="292" Width="502" Margin="10,10,0,0">
            <Grid>

                <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratClientNom" Content="* Nom" Margin="26,10,0,0"/>
                <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratContactCiviliteNom" Content="Nom Contact" Margin="26,41,0,0"/>
                <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratClientNumero" Content="* Téléphone fixe" Margin="26,72,0,0"/>
                <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratDG_Projet" Content="Liste des projets assosciés au contrat" Margin="10,310,0,0"  Grid.Column="1" Grid.Row="1" HorizontalAlignment="Left" VerticalAlignment="Top"/>

                <ComboBox Style="{StaticResource CBB_StyleClientNom}" x:Name="CMB_ContratClientNom" DisplayMemberPath="Nom" SelectionChanged="CMB_ContratClientNom_SelectionChanged"  Margin="164,10,0,0"/>
                <ComboBox Style="{StaticResource CBB_StyleCiviliteManage}" Text="{Binding ContactCivilite}" x:Name="CBB_ContratContactCivilite" Margin="164,41,0,0" Width="80" >
                    <ComboBoxItem>Monsieur</ComboBoxItem>
                    <ComboBoxItem>Madame</ComboBoxItem>
                </ComboBox>

                <TextBox Style="{StaticResource TXT_StyleManage}" IsEnabled="False" x:Name="TXT_ContratClientNom" Margin="164,10,0,0" Text="{Binding Nom, Mode=OneWay}" KeyUp="TXT_ContratClientNom_KeyUp"/>
                <TextBox Style="{StaticResource TXT_StyleManage}" Text="{Binding Contact}" x:Name="TXT_ContratContactNom" Margin="249,41,0,0" Width="215"/>
                <TextBox Style="{StaticResource TXT_StyleManage}" IsEnabled="False" Text="{Binding Numero}" x:Name="TXT_ContratClientNumero" Margin="164,72,0,0" />

                <GroupBox Style="{StaticResource GRB_StyleManage}" x:Name="GRB_ContratClient" IsEnabled="False" Header="Positionnement" Margin="10,103,0,0" Width="470" Height="161">
                    <Grid>
                        <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratClientAdresse" Content="Adresse" Margin="10,10,0,0"/>
                        <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratClientAdresseComplement" Content="Complement d'Adresse" Margin="10,41,0,0"/>
                        <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratClientCodePostal" Content="Code postal" Margin="10,72,0,0"/>
                        <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratClientVille" Content="* Ville" Margin="10,103,0,0"/>

                        <TextBox Style="{StaticResource TXT_StyleManage}" IsEnabled="False" Text="{Binding Adresse}" x:Name="TXT_ContratClientAdresse" Margin="148,10,0,0"/>
                        <TextBox Style="{StaticResource TXT_StyleManage}" IsEnabled="False" Text="{Binding Complement}" x:Name="TXT_ContratClientAdresseComplement" Margin="148,41,0,0"/>
                        <TextBox Style="{StaticResource TXT_StyleManage}" IsEnabled="False" Text="{Binding CodePostal}" x:Name="TXT_ContratClientCodePostal" Margin="148,72,0,0"/>
                        <TextBox Style="{StaticResource TXT_StyleManage}" IsEnabled="False" Text="{Binding Ville}" x:Name="TXT_ContratClientVille" Margin="148,103,0,0"/>
                    </Grid>
                </GroupBox>

            </Grid>
        </GroupBox>

        <GroupBox Style="{StaticResource GRB_StyleManage}" Grid.Column="1" Grid.Row="1" Header="Contrat" Height="292" Width="356" Margin="517,10,0,0">
            <Grid Margin="2,0,-2,0">
                <TextBox Style="{StaticResource TXT_StyleManage}" Text="{Binding NumContrat}" Margin="134,10,0,0" Width="200"/>
                <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratDateDeb" Content="* Date Début" Margin="10,46,0,0"/>
                <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratDateFin" Content="* Date Fin" Margin="10,77,0,0"/>
                <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratDateSignature" Content="* Date Signature" Margin="10,108,0,0"/>
                <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratCout" Content="* Prix Contrat HT (€)" Margin="10,160,0,0"/>
                <Label Style="{StaticResource LBL_StyleManage}" x:Name="LBL_ContratHeuresIntervention" Content="Nombre Heures" Margin="10,191,0,0"/>

                <DatePicker Style="{StaticResource Date_Style}" SelectedDate="{Binding DateDeb}" x:Name="Date_ContratDateDeb" Margin="134,46,0,0"/>
                <DatePicker Style="{StaticResource Date_Style}" SelectedDate="{Binding DateFin}" x:Name="Date_ContratDateFin" Margin="134,77,0,0"/>
                <DatePicker Style="{StaticResource Date_Style}" SelectedDate="{Binding DateSignature}" x:Name="Date_ContratDateSignature" Margin="134,108,0,0"/>

                <xctk:IntegerUpDown Style="{StaticResource UpDown_Style}" x:Name="UpDown_ContratCout" Margin="134,160,0,0"/>
                <xctk:IntegerUpDown Style="{StaticResource UpDown_Style}" Value="{Binding NbHeures}" x:Name="UpDown_ContratHeuresIntervention" Margin="134,191,0,0"/>
                <Label Style="{StaticResource LBL_StyleManage}" Content="* N° Contrat" Margin="10,10,0,0"/>

            </Grid>
        </GroupBox>


        <DataGrid IsSynchronizedWithCurrentItem="True" Style="{StaticResource DG_StyleManage}" Grid.Column="1" Grid.Row="1" x:Name="DG_contratProjets" SelectionChanged="DG_contratProjets_SelectionChanged" Margin="0,311,0,0" Height="130" Width="502">
            <DataGrid.Columns>
                <DataGridTextColumn Binding="{Binding Nom}" IsReadOnly="True" Header="Nom projet" Width="*"/>
                <DataGridCheckBoxColumn Binding="{Binding PresenceBase}" IsReadOnly="True" Header="Présence Base de Données" Width="*"/>
            </DataGrid.Columns>
        </DataGrid>


        <GroupBox Style="{StaticResource GRB_StyleManage}" Grid.Column="1" Grid.Row="1" Height="118" Margin="613,311,0,0" Width="262" Header="Projet" Visibility="Hidden" x:Name="GRB_ContratProjet">
            <Grid>

                <Label Style="{StaticResource LBL_StyleManage}" Content="Nom" Height="26" Margin="10,10,0,0"/>

                <TextBox Style="{StaticResource TXT_StyleManage}" x:Name="TXT_ContratProjetNom" Margin="51,10,0,0" Width="189"/>

                <CheckBox x:Name="CBX_ContratProjetPresenceBase" Content="Présence d'une Base de Données" HorizontalAlignment="Left" VerticalAlignment="Top" Height="16" FontSize="10px" Width="168" Margin="72,41,0,0"/>

                <Button  x:Name="BTN_AddProjetContact" Content="Valider" Margin="10,62,123,2" Click="BTN_AddProjetContact_Click"/>
                <Button x:Name="BTN_CancelProjetContact" Content="Annuler" Margin="132,62,10,2" Click="BTN_CancelProjetContact_Click"/>

            </Grid>
        </GroupBox>

        <Button  x:Name="BTN_AddContratProjet" Content="Ajouter" Grid.Column="1" Margin="517,311,272,131" Grid.Row="1" Click="BTN_AddContratProjet_Click" Height="Auto"/>
        <Button x:Name="BTN_ModifyContratProjet" Content="Modifier" Grid.Column="1" Margin="517,356,272,86" Grid.Row="1" Click="BTN_ModifyContratProjet_Click" Height="Auto"/>
        <Button x:Name="BTN_RemoveContratProjet" Content="Retirer" Grid.Column="1" Margin="517,401,272,41" Grid.Row="1" Click="BTN_RemoveContratProjet_Click" Height="Auto"/>

        <Button  x:Name="BTN_AcceptContrat" Content="Valider" Grid.Column="1" Margin="597,442,199,0" Grid.Row="1" Click="BTN_AcceptContrat_Click" Height="Auto"/>
        <Button  x:Name="BTN_CancelContrat" Content="Annuler" Grid.Column="1" Margin="786,442,0,0" Grid.Row="1" Click="BTN_CancelContrat_Click" Height="Auto"/>
        <Button  x:Name="BTN_EditContrat" Content="Editer" Grid.Column="1" Margin="691,442,105,0" Grid.Row="1" Click="BTN_EditContrat_Click" Height="Auto"/>

    </Grid>
</Window>
